Bug 1150182 (CVE-2014-6504) - CVE-2014-6504 OpenJDK: incorrect optimization of range checks in C2 compiler (Hotspot, 8022783)
Summary: CVE-2014-6504 OpenJDK: incorrect optimization of range checks in C2 compiler ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-6504
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141014,repor...
Depends On:
Blocks: 1148726
TreeView+ depends on / blocked
 
Reported: 2014-10-07 15:19 UTC by Tomas Hoger
Modified: 2019-06-08 20:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 09:27:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1620 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security and bug fix update 2014-10-15 05:26:31 UTC
Red Hat Product Errata RHSA-2014:1633 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security and bug fix update 2014-10-15 00:47:46 UTC
Red Hat Product Errata RHSA-2014:1634 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2014-10-15 06:09:01 UTC
Red Hat Product Errata RHSA-2014:1636 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2014-10-15 07:03:25 UTC
Red Hat Product Errata RHSA-2014:1657 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:36:32 UTC
Red Hat Product Errata RHSA-2014:1658 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 15:35:40 UTC

Description Tomas Hoger 2014-10-07 15:19:28 UTC
A flaw was found in the Hotspot's, the OpenJDK's JVM, optimizing C2 compiler.  A byte code with incorrect range checks could be generated in certain cases, making it possible for an untrusted Java application or applet to disclose portions of the JVM memory.

Comment 1 Tomas Hoger 2014-10-14 20:08:35 UTC
Public now via Oracle Critical Patch Update - October 2014.  Fixed in Oracle Java SE 5.0u75, 6u85, and 7u71.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2014-1972960.html#AppendixJAVA

Comment 2 errata-xmlrpc 2014-10-14 20:48:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1633 https://rhn.redhat.com/errata/RHSA-2014-1633.html

Comment 3 errata-xmlrpc 2014-10-15 01:27:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:1620 https://rhn.redhat.com/errata/RHSA-2014-1620.html

Comment 4 errata-xmlrpc 2014-10-15 02:09:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2014:1634 https://rhn.redhat.com/errata/RHSA-2014-1634.html

Comment 5 errata-xmlrpc 2014-10-15 03:03:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1636 https://rhn.redhat.com/errata/RHSA-2014-1636.html

Comment 7 errata-xmlrpc 2014-10-16 23:02:24 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:1658 https://rhn.redhat.com/errata/RHSA-2014-1658.html

Comment 8 errata-xmlrpc 2014-10-16 23:12:39 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:1657 https://rhn.redhat.com/errata/RHSA-2014-1657.html


Note You need to log in before you can comment on or make changes to this bug.